Metacat - Bug #3982

Geoserver processes obsolete requests in background
04/13/2009 03:06 PM - Michael Daigle

Status: Closed Start date: 04/13/2009
Priority: Normal Due date:

Assignee: Michael Daigle % Done: 0%
Category: metacat Estimated time: 0.00 hour
Target version: Unspecified Spent time: 0.00 hour
Bugzilla-ld: 3982

Description

If shapes are drawn on a map repeatedly and the map keeps resizing, geoserver keeps processing the layers for all requests even
though only the last one is relevant. This can result in high memory usage.

If possible, we need to see if we can cancel an old request when a new one comes in.

History

#1 - 03/27/2013 02:25 PM - Redmine Admin
Original Bugzilla ID was 3982

#2 - 04/09/2013 01:16 PM - ben leinfelder

- Status changed from New to Closed

This is all in Geoserver's court since it stands alone from Metacat now. If it can figure out which requests no longer need responses, then great (I
doubt that is possible).
